
/* aviplay.c */

extern int parse_riff(FILE *in, struct video_t *video);

/*  general.c   */

extern int socketdie(int socketid);
extern void destroy();
extern void broken_pipe();
extern void setsignals();
extern void message(int ID, char *daMessage);
extern int conv_num(char *s);
extern void setup(int argc, char *argv[]);
extern int base64_encode(char *text_in);
extern int base64_compare(char *text_in);

/* http_headers.c */

int send_header(int ID);
#ifdef ENABLE_CGI
int send_header_cgi(int ID);
#endif
#ifdef ENABLE_PLUGINS
int send_header_plugin(int ID);
#endif
int send_header_multipart(int ID);
int send_error(int ID, char *short_error, char *error, int len);
int send_401(int ID);
int send_video_error(int ID);

/*  nakenchat.c */

extern void chat();
extern void kill_user(int ID);
int file_close(int ID);

/* network_io.c */

extern int send_data(int socketid, char *message, int message_len);
extern int buffered_read(int ID);
extern int send_file(int ID);
extern int send_capture_frame(int ID);

/* read_config.c */

extern void read_config();
extern void set_runas();

/* url_utils.c */

extern int url_decode(unsigned char *s);
extern char *get_querystring(char *filename);
extern int parse_querystring(int ID, char *filename, struct alias_t *curr_alias);
extern int get_mime_type_code(char *s);
extern int check_valid_file(char *s);




